Ask a Question
GoPro Support Hub Ask a question. Share an answer. Find a solution. Stay stoked.
Announcements
Is your GoPro gear up to date? Check to see If it is on our Update page.
GoPro Apps for Mobile
Reply
Sightseer
Posts: 1

Your device isn't compatible with this version

[ New ]

When I go to the Google Play Store to install the GOPRO App there is a message that says, "Your device isn't compatible with this version."

 

How do I get a GOPRO App that is compatible with my Samsung SM-N900A Android 5.0 phone?


Accepted Solutions
Highlighted
GoPro
Posts: 26,108

Re: Your device isn't compatible with this version

[ New ]

 

Hi @sweetvista7722

 

 

GoPro app for Android devices require Android 6.0.1 or later.

 

For reference, see GoPro Mobile Apps Compatibility

 

Thanks!

Ej

View solution in original post


All Replies
Highlighted
GoPro
Posts: 26,108

Re: Your device isn't compatible with this version

[ New ]

 

Hi @sweetvista7722

 

 

GoPro app for Android devices require Android 6.0.1 or later.

 

For reference, see GoPro Mobile Apps Compatibility

 

Thanks!

Ej